From ec8262b3599f6e802a2891fca9f968f7abdab569 Mon Sep 17 00:00:00 2001
From: Dong Wook Lee <sh95119@gmail.com>
Date: Thu, 11 Jun 2020 14:54:16 +0900
Subject: [PATCH 2/2] pg_dump: Add test for --rows-per-insert option

I add test of pg_dump --rows-per-insert option
this test check input range 1..2147483647
---
 src/bin/pg_dump/t/001_basic.pl | 8 +++++++-
 1 file changed, 7 insertions(+), 1 deletion(-)

diff --git a/src/bin/pg_dump/t/001_basic.pl b/src/bin/pg_dump/t/001_basic.pl
index b945e098d1..2ca18bc9c0 100644
--- a/src/bin/pg_dump/t/001_basic.pl
+++ b/src/bin/pg_dump/t/001_basic.pl
@@ -4,7 +4,7 @@ use warnings;
 use Config;
 use PostgresNode;
 use TestLib;
-use Test::More tests => 80;
+use Test::More tests => 82; 
 
 my $tempdir       = TestLib::tempdir;
 my $tempdir_short = TestLib::tempdir_short;
@@ -181,3 +181,9 @@ command_fails_like(
        qr/\Qpg_dump: error: extra_float_digits must be in range -15..3\E/,
        'pg_dump: extra_float_digits must be in range -15..3'
 );
+
+command_fails_like(
+       [ 'pg_dump', '--rows-per-insert', '-1' ],
+       qr/\Qpg_dump: error: rows-per-insert must be in range 1..2147483647\E/,
+       'pg_dump: rows-per-insert must be in range 1..2147483647'
+);
-- 
2.24.3 (Apple Git-128)

